-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62411 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 11:02:59 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownNabuFiveSec")
L:RegisterTranslations("enUS", function() return {
	["NabuFiveSec"] = true,
} end)

local AddOn = ShakedownAddonBase:new("NabuFiveSec", L["NabuFiveSec"])
local wasLocked

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	wasLocked = NabuFiveSec.db.profile.locked
	NabuFiveSec:toggleFSBLock(false)
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	if wasLocked then
		NabuFiveSec:toggleFSBLock(true)
	end
end
