-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62411 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 11:02:59 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownCutup")
L:RegisterTranslations("enUS", function() return {
	["Cutup"] = true,
} end)

local AddOn = ShakedownAddonBase:new("Cutup", L["Cutup"])

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(false)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup:GetModule("TickToxin").ToggleAnchor(true)
		end
	end
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(true)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup:GetModule("TickToxin").ToggleAnchor(false)
		end
	end
end
