-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62411 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 11:02:59 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

if select(2, UnitClass("player")) ~= "ROGUE" then return end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownkEnergy")
L:RegisterTranslations("enUS", function() return {
	["kEnergy"] = true,
} end)

local AddOn = ShakedownAddonBase:new("kEnergy", L["kEnergy"])

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	kEnergy:Locked(false)
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	kEnergy:Locked(true)
end
